curl -X POST "https://kodostatus.com/api/v1/services" \
-H "X-API-Key: your_api_key" \
-H "Content-Type: application/json" \
-d '{
"name": "Payment Gateway",
"description": "Handles all payment processing",
"status": "operational"
}'
const response = await fetch('https://kodostatus.com/api/v1/services', {
method: 'POST',
headers: {
'X-API-Key': process.env.KODO_API_KEY,
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Payment Gateway',
description: 'Handles all payment processing',
status: 'operational'
})
});
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Payment Gateway",
"description": "Handles all payment processing",
"status": "operational",
"display_order": 0,
"created_at": "2026-02-20T08:00:00.000Z",
"updated_at": "2026-02-20T08:00:00.000Z"
}
Services
Create Service
Create a new service/component
POST
/
services
curl -X POST "https://kodostatus.com/api/v1/services" \
-H "X-API-Key: your_api_key" \
-H "Content-Type: application/json" \
-d '{
"name": "Payment Gateway",
"description": "Handles all payment processing",
"status": "operational"
}'
const response = await fetch('https://kodostatus.com/api/v1/services', {
method: 'POST',
headers: {
'X-API-Key': process.env.KODO_API_KEY,
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Payment Gateway',
description: 'Handles all payment processing',
status: 'operational'
})
});
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Payment Gateway",
"description": "Handles all payment processing",
"status": "operational",
"display_order": 0,
"created_at": "2026-02-20T08:00:00.000Z",
"updated_at": "2026-02-20T08:00:00.000Z"
}
Body Parameters
string
required
Service name
string
Service description
string
default:"operational"
Initial status:
operational, degraded, partial_outage, major_outage, maintenanceResponse
Returns the created service object.curl -X POST "https://kodostatus.com/api/v1/services" \
-H "X-API-Key: your_api_key" \
-H "Content-Type: application/json" \
-d '{
"name": "Payment Gateway",
"description": "Handles all payment processing",
"status": "operational"
}'
const response = await fetch('https://kodostatus.com/api/v1/services', {
method: 'POST',
headers: {
'X-API-Key': process.env.KODO_API_KEY,
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Payment Gateway',
description: 'Handles all payment processing',
status: 'operational'
})
});
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Payment Gateway",
"description": "Handles all payment processing",
"status": "operational",
"display_order": 0,
"created_at": "2026-02-20T08:00:00.000Z",
"updated_at": "2026-02-20T08:00:00.000Z"
}
⌘I